%bcond_with tests

Summary:        Helper to test WSGI applications
Name:           python-webtest
Version:        3.0.0
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/Pylons/webtest
Source0:        %{url}/archive/%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools
%if 0%{?with_tests}
BuildRequires:  python3-pytest-cov python3-beautifulsoup4 python3-paste-deploy
BuildRequires:  python3-pyquery python3-waitress python3-webob python3-WSGIProxy2
BuildRequires:  python3-pylons-sphinx-themes python3-pytest
%endif

BuildArch:      noarch

%description
This wraps any WSGI application and makes it easy to send test requests to that application, 
without starting up an HTTP server.

This provides convenient full-stack testing of applications written with any WSGI-compatible 
framework.

%package -n python3-webtest
Summary:        Helper to test WSGI applications

Requires:       python3-beautifulsoup4 python3-waitress python3-webob

%description -n python3-webtest
This wraps any WSGI application and makes it easy to send test requests to that application, 
without starting up an HTTP server.

This provides convenient full-stack testing of applications written with any WSGI-compatible 
framework.

%prep
%autosetup -n webtest-%{version}

rm -rf *.egg-info

%build
%py3_build

rm -f docs/Makefile docs/conf.py docs/changelog.rst
cp -a CHANGELOG.rst docs/

%install
%{__rm} -rf %{buildroot}
%py3_install


%if 0%{?with_tests}
%check
%pytest
%endif

%files -n python3-webtest
%doc docs/* CHANGELOG.rst
%{python3_sitelib}/webtest
%{python3_sitelib}/*.egg-info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Wang Guodong <gordonwwang@tencent.com> - 3.0.0-1
- initial build
